> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deactivate (DELETE) main approval setup

> Deactivates the approval workflow for an organization. The `approvalId` path parameter must match the id of the existing approval setup for the organization. If the approval workflow is already inactive, a 204 is returned with no further changes made. The `organizationId` path parameter supports both the Findity id and the partner-side `externalId`.




## OpenAPI

````yaml /openapi/findity-admin-api.json delete /organizations/{organizationId}/approval/{approvalId}
openapi: 3.1.0
info:
  title: Findity Admin API
  description: Findity Admin API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/admin
  - url: https://api.findity.com/api/v1/admin
security:
  - bearerAuth: []
paths:
  /organizations/{organizationId}/approval/{approvalId}:
    delete:
      tags:
        - Approval
      summary: Deactivate (DELETE) main approval setup
      description: >
        Deactivates the approval workflow for an organization. The `approvalId`
        path parameter must match the id of the existing approval setup for the
        organization. If the approval workflow is already inactive, a 204 is
        returned with no further changes made. The `organizationId` path
        parameter supports both the Findity id and the partner-side
        `externalId`.
      operationId: adminDeleteMainApprovalSetup
      parameters:
        - $ref: '#/components/parameters/organizationIdOrExternalIdInPath'
        - $ref: '#/components/parameters/approvalIdPath'
      responses:
        '204':
          description: Approval setup successfully deactivated (or was already inactive)
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
              examples:
                Provided approvalId does not match the existing approval setup for this organization:
                  value:
                    result: error
                    code: MISMATCH_APPROVAL_SETUP_ID
                    description: >-
                      Provided approvalId does not match the existing approval
                      setup id for this organization
        '404':
          description: Not found error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
              examples:
                Organization not found:
                  value:
                    result: error
                    code: ORGANIZATION_NOT_FOUND
                    description: Organization not found
                No active license found for approval for organization:
                  value:
                    result: error
                    code: LICENSE_APPROVAL_NOT_FOUND
                    description: Active license for approval flow not found
components:
  parameters:
    organizationIdOrExternalIdInPath:
      in: path
      name: organizationId
      required: true
      description: >-
        Unique identifier of the organization. String in UUID without dashes
        (32-character hex string) if access is done via values from Findity
        system otherwise, id of external system can be used
      schema:
        type: string
      examples:
        Findity unique id:
          value: 05b8daba9ba14a49846fe77883248cf0
        External system unique id:
          value: a31a7372-3397-3924-ffcd-b7b4795e42eb
    approvalIdPath:
      in: path
      name: approvalId
      required: true
      description: >-
        Unique identifier of the approval setup. String in UUID without dashes
        (32-character hex string).
      schema:
        $ref: '#/components/schemas/Uuid'
      example: ff8080819e01726d019e0172adb90350
  schemas:
    400Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
      example:
        result: error
        code: ORGANIZATION_NOT_FOUND
        description: 'Failed to get organization for id: {orgId}'
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````